Retrieve Move Connection Job Status (Beta) Beta
Retrieves the status of an asynchronous connection move job. Use this endpoint to monitor the progress of a connection move operation that was initiated with the CONTINUE_WITH_DATA sync behavior.
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
The unique identifier of the move job. This is returned in the response when you initiate a connection move.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/connections/4107c213907114059a5544ad8fa66c52/move/01234567-89ab-cdef-0123-456789abcdef HTTP/1.1 Accept: application/json;version=2 Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The unique identifier of the move job. Use this value to check the status of the move operation.
The current status of the move job. Possible values: PENDING, IN_PROGRESS, SUCCESS, FAILED.
The unique identifier of the connection that was moved.
The unique identifier of the destination group the connection was moved from.
The unique identifier of the destination group to move the connection to. Retrieve group IDs from the List All Groups endpoint.
The timestamp of when the move job was created.
The timestamp of when the move job started processing. Null if the job has not started yet.
The timestamp of when the move job completed (successfully or with failure). Null if the job has not completed yet.
The error message if the move job failed. Null if the job has not failed.
{ "code": "Success", "message": "Move connection job status retrieved successfully", "data": { "id": "01234567-89ab-cdef-0123-456789abcdef", "status": "IN_PROGRESS", "connection_id": "connection_id", "source_group_id": "source_group_id", "destination_group_id": "destination_group_id", "created_at": "2024-01-01T00:00:00Z", "started_at": "2024-01-01T00:00:30Z", "completed_at": "2024-01-01T00:05:00Z", "error_message": "Error details if the job failed" } }